%% Script for plotting data from one constant current simulation
% x-axis given in (s) can be changed to capacity: ts -> ts*I/3600
%
% The function calls onto - nobody
% The function is called by
% mikrun12_BV_ch, mikrun12_BV_disch
%
% Subject to Creative Commons Attribution 4.0 International Public License
% see license.txt
% (c) Monica Marinescu, 23 Sept 2015, monica.marinescu@imperial.ac.uk

close all

Stot = w(1,:)+w(2,:)+w(3,:)+w(4,:)+w(5,:);

figure
subplot(2,2,1)
plot(ts,w(1,:),'.',ts,w(2,:),'.',ts,w(3,:),'.',ts,w(4,:),'.',ts,w(5,:),'.',ts,Stot,'.');
legend(' S8',' S4','S2', 'S', 'Sp', 'S_{tot}', 'Location','NorthWest');
xlabel(' t (s)');
ylabel(' Species mass (g)');


subplot(2,2,2)
plot(ts,w(6,:),ts,w(7,:));
legend(' IH', ' IL')
xlabel(' t (s)');
ylabel(' Reaction current (A)');

subplot(2,2,3)
plot(ts,w(9,:),ts,w(10,:));
legend(' etaH' , ' etaL');
xlabel(' t (s)');
ylabel(' Reaction overpotential (V)');

subplot(2,2,4)
plot(ts,w(11,:),ts,w(12,:),ts,w(8,:));
legend('ENH', 'ENL', ' V', 'Location', 'South');
xlabel(' t (s)');
ylabel(' Nernst and cell voltages (V)');

% to be used for dynamic currents
% figure; 
% plot(ts, I_vec);
% xlabel(' t (s)');
% ylabel(' Current load (A)');

figure; 
plot(ts, w(5,:));
xlabel(' t (s)');
ylabel(' Mass of Sp (g)');

figure; 
plot(ts,w(8,:));
xlabel(' t (s)');
ylabel(' Cell voltage (V)');
